//
// File: register.h
// Interface for 3d-device registering functions
// Author: F.J. Alberti
// Created: 10/07/2001
//

#ifndef _REGISTER_H_
#define _REGISTER_H_

#ifdef __cplusplus
extern "C" {
#endif
#include "../include/kernel.h"


void regX3D(char* name, void* address);       // deprecated
int MX3getDeviceList(mmachine m);             // fun [] [[S S] r1]
int MX3hardware(mmachine m);                  // fun [] I
int M3scanline(mmachine m);                   // fun [S3d ObjBitmap H3d I I I] H3d
int M3create(mmachine m);                     // fun [Chn I I I I I] S3d
int MX3registerDevice(char* name, char* id);
int loadPackageDevice3D(mmachine m);


#ifdef __cplusplus
}
#endif

#endif // register.h